package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouGroupExplore;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.math.BigDecimal;

/**
 * @Description: 广告组的加速探索报表
 * @Author: jeecg-boot
 * @Date: 2021-02-02
 * @Version: V1.0
 */
public interface IKuaishouGroupExploreService extends IService<KuaishouGroupExplore> {

    Result<Object> unitExploreInfoGet(Long accountId, Long unitId);

    Result<Object> unitExploreBudgetUpdate(Long accountId, Long unitId, Long exploreBudget);

    Result<Object> unitExploreStatusPause(JSONObject data);

    Result<Object> querySpeedExploreReport(Long accountId, Long unitId, Integer exploreStatus, Long maxExploreBudget);

    void unitOpenSpeedExplore(Long accountId, Long unitId, BigDecimal groupAccount, Long accountExploreId);

    void getReportByAccount(CtopOauthToken token);

    Result<Object> adUnitExploreSupport(JSONObject data);
}
